package si.ijs.urbanite.simserver;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;

@Configuration
@ComponentScan
@EnableAutoConfiguration
@EnableAsync
public class SimserverApplication {

    @Value("${env.data_dir}")
    private String dataPath;

    private static final Logger logger = LoggerFactory.getLogger(SimserverApplication.class);

    public static void main(String... args) {
        ConfigurableApplicationContext ctx = SpringApplication.run(SimserverApplication.class, args);
    }
}
