package si.ijs.urbanite.simserver.plan;

import org.springframework.data.repository.CrudRepository;
import si.ijs.urbanite.simserver.entities.Network;
import si.ijs.urbanite.simserver.entities.Plan;

import java.util.Optional;

public interface PlanRepository extends CrudRepository<Plan, Integer> {
    @Override
    Plan save(Plan plan);
    Iterable<Plan> findByNetwork(Network network);
    Optional<Plan> findById(int id);

}
