package si.ijs.urbanite.simserver.utils;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

import java.util.ArrayList;
import java.util.HashMap;

public class AmsterdamHandler extends DefaultHandler{

    public static HashMap<Integer, Integer> amsterdamMap = new HashMap<Integer, Integer>();
    public static HashMap<Integer, ArrayList<Integer>> timeStamp = new HashMap<Integer, ArrayList<Integer>>();

    @Override
    public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {

            if (qName.equalsIgnoreCase("event")) {
                String link = attributes.getValue("link");
                String type = attributes.getValue("type");
                String timeInput = attributes.getValue("time");
                if (type.equals("entered link")) {

                    //System.out.println("Link: " + link + ", type:" + type + ", time:" + timeInput);
                    if(Character.isDigit(link.charAt(0))){
                        //System.out.println("Link: " + link + ", type:" + type + ", time:" + timeInput);
                        int number = Integer.parseInt(link);
                        double time = Double.parseDouble(timeInput);

                        for(int i = 0; i < 24; i++){
                            if(Math.floor(time / 3600) == i){
                                if(!timeStamp.containsKey(i)){
                                    timeStamp.put(i, new ArrayList<>());
                                    timeStamp.get(i).add(number);
                                }
                                else{
                                    timeStamp.get(i).add(number);
                                }
                                //System.out.println(timeStamp);
                                if(!amsterdamMap.containsKey(number)){
                                    amsterdamMap.put(number, 1);
                                }
                                else{
                                    amsterdamMap.put(number, amsterdamMap.get(number) + 1);
                                }
                            }
                        }

                    }

                }
            }

        }


}
